package com.zivilon.cinder_loe.client.render.corrupt;

import com.zivilon.cinder_loe.entity.corrupt.CorruptDwarf;
import com.zivilon.cinder_loe.entity.corrupt.CorruptElf;
import lotr.client.model.LOTRModelElf;
import lotr.client.render.entity.LOTRRandomSkins;
import lotr.client.render.entity.LOTRRenderBiped;
import lotr.client.render.entity.LOTRRenderElf;
import lotr.common.entity.LOTRRandomSkinEntity;
import lotr.common.entity.npc.LOTREntityNPC;
import net.minecraft.client.model.ModelBiped;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;

public class RenderCorruptElf extends LOTRRenderElf {
    public static LOTRRandomSkins skinsMale;
    public static LOTRRandomSkins skinsFemale;
    private LOTRModelElf eyesModel = new LOTRModelElf(0.05f, 64, 64);
    private LOTRModelElf outfitModel = new LOTRModelElf(0.6f, 64, 64);

    public RenderCorruptElf() {
        super();
        skinsMale = LOTRRandomSkins.loadSkinsList("cinder_loe:mob/corrupt/elf_male");
        skinsFemale = LOTRRandomSkins.loadSkinsList("cinder_loe:mob/corrupt/elf_female");
    }

    @Override
    protected void func_82421_b() {
        this.field_82423_g = new LOTRModelElf(1.0f);
        this.field_82425_h = new LOTRModelElf(0.5f);
    }
    @Override
    public ResourceLocation getEntityTexture(Entity entity) {
        CorruptElf elf = (CorruptElf)entity;
        if (((LOTREntityNPC)elf).familyInfo.isMale()) {
            return skinsMale.getRandomSkin((LOTRRandomSkinEntity)elf);
        }
        return skinsFemale.getRandomSkin((LOTRRandomSkinEntity)elf);
    }

}
